Bug 1126990 - Review Request: kimchi - SImple KVM virtualization management
Summary: Review Request: kimchi - SImple KVM virtualization management
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1029160 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 19:26 UTC by Brent Baude
Modified: 2016-02-01 02:00 UTC (History)
9 users (show)

Fixed In Version: kimchi-1.4.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-18 09:34:53 UTC
jcapik: fedora-review+
puiterwijk: fedora-cvs+


Attachments (Terms of Use)

Description Brent Baude 2014-08-05 19:26:16 UTC
Spec: https://baude.fedorapeople.org/kimchi.spec
SRPM: https://baude.fedorapeople.org/kimchi-1.2.1.1-1.fc20.src.rpm
Summary: An HTML5-based KVM graphical interface

Comment 1 Brent Baude 2014-08-05 19:26:47 UTC
*** Bug 1029160 has been marked as a duplicate of this bug. ***

Comment 2 Brent Baude 2014-08-05 19:30:54 UTC
Fedora Packing Exception ticket creating for bundling of jsquery -> https://fedorahosted.org/fpc/ticket/450

Comment 3 Christopher Meng 2014-08-06 08:57:24 UTC
What's your FAS id?

Comment 4 Brent Baude 2014-08-06 12:14:10 UTC
My FAS id is 'baude'

Comment 5 Dan Horák 2014-08-06 12:32:20 UTC
taking for review

Comment 6 Dominik 'Rathann' Mierzejewski 2014-09-04 17:18:09 UTC
Also bundled:
jquery-ui (http://jqueryui.com)
modernizr (http://modernizr.com/)
and everything under ui/js/novnc/ and ui/js/spice-html5/

Comment 7 Brent Baude 2014-11-04 22:03:03 UTC
Need a packaging exception for modernizr, created ticket -> https://fedorahosted.org/fpc/ticket/468

Comment 8 Brent Baude 2015-03-04 16:58:40 UTC
I have created a new spec and rpm at:

https://baude.fedorapeople.org/kimchi-1.4.0-2.fc21.noarch.rpm
https://baude.fedorapeople.org/kimchi.spec

This includes significant work from upstream to remove libraries that were previously shipped.  They now use system dependencies instead.


Please consider reviewing now.

Comment 9 Jaromír Cápík 2015-03-25 17:14:40 UTC
Hi Brent.

Please, always re-attach the srpm when uploading a new spec file.

Thx, J.

Comment 10 Jaromír Cápík 2015-03-25 17:19:24 UTC
When doing a rewiew, you should use the following link:

https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=fedora-review

That pre-generates the description according to the teplate. The format of the description matters. It is parsed by the fedora-review tool. The automated review fails when the srpm is missing.

Comment 11 Brent Baude 2015-03-25 18:20:18 UTC
Spec URL: https://baude.fedorapeople.org/kimchi_review/latest/kimchi.spec
SRPM URL: https://baude.fedorapeople.org/kimchi_review/latest/kimchi-1.4.0-2.fc21.src.rpm
Description: An HTML5-based KVM graphical interface
Fedora Account System Username: baude

Comment 12 Jaromír Cápík 2015-03-30 15:16:35 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package do not match the upstream source, as
  provided in the spec URL.
  Note: The link points to an html content
  Hint: Use the following link instead
  https://github.com/kimchi-project/%{name}/archive/%{version}.tar.gz
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- License tag: LGPLv2+ is missing, MPL 2.0 is redundant
- Multiple licenses found, but the licensing breakdown is not documented
  in the spec file.
- Changelog: Missing version-release found, unexpected character found : '#',
  extra empty lines found
- Missing BR: python2-devel or python3-devel
- Missing Provides: bundled(jquery-ui) = 1.10.3, bundled(jquery) = 1.10.0
- A new version has been released. Please, update.
- Patch justification/comment missing. Please, add.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "MIT/X11 (BSD like)", "LGPL (v3
     or later)", "BSD (3 clause)", "LGPL (v2.1 or later)", "MIT/X11 (BSD like)
     LGPL (v3 or later)". 6 files have unknown license. Detailed output of
     licensecheck in /home/jcapik/1126990-kimchi/licensecheck.txt
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/firewalld,
     /usr/lib/firewalld/services
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[-]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kimchi-1.4.0-2.fc20.noarch.rpm
          kimchi-1.4.0-2.fc20.src.rpm
kimchi.noarch: E: devel-dependency gettext-devel
kimchi.noarch: E: explicit-lib-dependency libguestfs-tools
kimchi.noarch: W: invalid-license MPL 2.0
kimchi.noarch: E: non-readable /usr/lib/firewalld/services/kimchid.xml 0640L
kimchi.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/kimchi/proxy.py 0644L /usr/bin/python
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/fedora.json
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/nginx.conf.in
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/kimchi.conf
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/opensuse.json
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/ubuntu.json
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/gentoo.json
kimchi.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/kimchi/vnc.py 0644L /usr/bin/python
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/debian.json
kimchi.noarch: W: no-manual-page-for-binary kimchid
kimchi.src: W: invalid-license MPL 2.0
kimchi.src:64: E: hardcoded-library-path in %{_prefix}/lib/firewalld/services/kimchid.xml
kimchi.src:78: E: hardcoded-library-path in %{_prefix}/lib/firewalld/services/kimchid.xml
2 packages and 0 specfiles checked; 7 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@vega /]# rpmlint kimchi
kimchi.noarch: E: devel-dependency gettext-devel
kimchi.noarch: E: explicit-lib-dependency libguestfs-tools
kimchi.noarch: W: invalid-license MPL 2.0
kimchi.noarch: E: non-readable /usr/lib/firewalld/services/kimchid.xml 0640L
kimchi.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/kimchi/proxy.py 0644L /usr/bin/python
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/fedora.json
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/nginx.conf.in
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/kimchi.conf
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/opensuse.json
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/ubuntu.json
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/gentoo.json
kimchi.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/kimchi/vnc.py 0644L /usr/bin/python
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/debian.json
kimchi.noarch: W: no-manual-page-for-binary kimchid
1 packages and 0 specfiles checked; 5 errors, 9 warnings.
]0;<mock-chroot><mock-chroot>[root@vega /]# echo 'rpmlint-done:'



Requires
--------
kimchi (rpmlib, GLIBC filtered):
    /usr/bin/python
    PyPAM
    gettext-devel
    iscsi-initiator-utils
    libguestfs-tools
    libvirt
    libvirt-python
    m2crypto
    nfs-utils
    nginx
    novnc
    pyparted
    python(abi)
    python-cheetah
    python-cherrypy
    python-ethtool
    python-imaging
    python-ipaddr
    python-jsonschema
    python-ldap
    python-libguestfs
    python-lxml
    python-psutil
    python-websockify
    qemu-kvm
    sos
    spice-html5



Provides
--------
kimchi:
    kimchi



Source checksums
----------------
http://github.com/kimchi-project/kimchi/releases/tag/1.4.0/kimchi-1.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : bce68a810bf161124ba24cc6b4f2585cc045660d2a3c3b609ae69bd6b7d145b0
  CHECKSUM(SHA256) upstream package : 6349b9a356f558ce1d2ec46977ac2ae9ae44707743c4248914efc86b4584bda0
diff -r also reports differences


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1126990
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 13 Brent Baude 2015-04-01 14:31:40 UTC
Spec URL: https://baude.fedorapeople.org/kimchi_review/latest/kimchi.spec
SRPM URL: https://baude.fedorapeople.org/kimchi_review/latest/kimchi-1.4.1-0.fc21.src.rpm
Description: An HTML5-based KVM graphical interface
Fedora Account System Username: baude

Comment 14 Brent Baude 2015-04-01 17:32:09 UTC
Spec URL: https://baude.fedorapeople.org/kimchi_review/latest/kimchi.spec
SRPM URL: https://baude.fedorapeople.org/kimchi_review/latest/kimchi-1.4.1-1.fc21.src.rpm
Description: An HTML5-based KVM graphical interface
Fedora Account System Username: baude

Comment 15 Jaromír Cápík 2015-04-01 18:21:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "MIT/X11 (BSD like)", "LGPL (v3
     or later)", "BSD (3 clause)", "LGPL (v2.1 or later)", "MIT/X11 (BSD like)
     LGPL (v3 or later)". 6 files have unknown license. Detailed output of
     licensecheck in /home/jcapik/1126990-kimchi/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/firewalld,
     /usr/lib/firewalld/services
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[-]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kimchi-1.4.1-1.fc20.noarch.rpm
          kimchi-1.4.1-1.fc20.src.rpm
kimchi.noarch: E: devel-dependency gettext-devel
kimchi.noarch: E: explicit-lib-dependency libguestfs-tools
kimchi.noarch: E: non-readable /usr/lib/firewalld/services/kimchid.xml 0640L
kimchi.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/kimchi/proxy.py 0644L /usr/bin/python
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/fedora.json
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/nginx.conf.in
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/kimchi.conf
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/opensuse.json
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/ubuntu.json
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/gentoo.json
kimchi.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/kimchi/vnc.py 0644L /usr/bin/env
kimchi.noarch: W: non-conffile-in-etc /etc/kimchi/distros.d/debian.json
kimchi.src:73: E: hardcoded-library-path in %{_prefix}/lib/firewalld/services/kimchid.xml
kimchi.src:87: E: hardcoded-library-path in %{_prefix}/lib/firewalld/services/kimchid.xml
2 packages and 0 specfiles checked; 7 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
kimchi (rpmlib, GLIBC filtered):
    /usr/bin/env
    PyPAM
    gettext-devel
    iscsi-initiator-utils
    libguestfs-tools
    libvirt
    libvirt-python
    m2crypto
    nfs-utils
    nginx
    novnc
    pyparted
    python(abi)
    python-cheetah
    python-cherrypy
    python-ethtool
    python-imaging
    python-ipaddr
    python-jsonschema
    python-ldap
    python-libguestfs
    python-lxml
    python-psutil
    python-websockify
    qemu-kvm
    sos
    spice-html5



Provides
--------
kimchi:
    bundled(jquery)
    bundled(jquery-ui)
    kimchi



Source checksums
----------------
https://github.com/kimchi-project/kimchi/archive/1.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 26c7a3505c200da9251f668cb1381c5bf5900e821a0c2b3aaadb54bdfdad3d4b
  CHECKSUM(SHA256) upstream package : 26c7a3505c200da9251f668cb1381c5bf5900e821a0c2b3aaadb54bdfdad3d4b


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1126990
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 16 Brent Baude 2015-04-01 18:55:15 UTC
New Package SCM Request
=======================
Package Name: kimchi
Short Description: An HTML5-based KVM graphical interface
Upstream URL: http://kimchi-project.github.io/kimchi/
Owners: baude jcapik
Branches: f21 f22
InitialCC:

Comment 17 Patrick Uiterwijk 2015-04-02 13:34:53 UTC
Git done (by process-git-requests).

Please note that the bundling request is marked NEEDSINFO: https://fedorahosted.org/fpc/ticket/468.

Comment 18 Fedora Update System 2015-04-02 16:09:46 UTC
kimchi-1.4.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kimchi-1.4.1-1.fc22

Comment 19 Fedora Update System 2015-04-02 16:09:52 UTC
kimchi-1.4.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kimchi-1.4.1-1.fc21

Comment 20 Brent Baude 2015-04-02 16:32:31 UTC
(In reply to Patrick Uiterwijk from comment #17)
> Git done (by process-git-requests).
> 
> Please note that the bundling request is marked NEEDSINFO:
> https://fedorahosted.org/fpc/ticket/468.

The fpc exception for modernzer is no longer needed.  The requirement was removed from upstream kimchi.

Comment 21 Fedora Update System 2015-04-02 19:00:08 UTC
kimchi-1.4.1-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 22 Fedora Update System 2015-04-18 09:34:53 UTC
kimchi-1.4.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 23 Fedora Update System 2015-04-21 19:24:07 UTC
kimchi-1.4.1-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.